
Public Support - Support Request #710

Increase memory during startup in case of bis description files

2017-06-06 16:03 - hidden
Priority: Normal   

Category:    
Numbers:
Department: CC-DA/ESI Affected Products: ADTF 2.13.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::MDE

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

Wenn für sehr viele Signale (mehrere tausend) eine DDL-Beschreibung verwendet wird, steigen die Lade- und Startzeit von ADTF

sehr stark an. Es dauert mehrere Minuten, bis eine ADTF-Konfiguration losläuft.

Was gibt es für Optimierungsmöglichkeiten, um die Lade- und Startzeit auf ein für den Anwender erträgliches Maß zu reduzieren?

Lösung

Das Thema ist nicht unbekannt (http://km-aev.in.audi.vwg/redmine/issues/27936), der Parser ist in dieser Hinsicht sehr schlecht, was

Performance bei verschachtelten Strukturen oder einer Vielzahl an Complex Datatypes betrifft.

Leider können wir hier zu ADTF 2.x keine Lösung der Performance / Austausch mehr anbieten.

Workarounds (wenn man sie denn so bezeichnen kann) sind imho:

Flache Strukturen zu wählen

Wenig Strukturen pro Description

Alternativ die DDL im Source Code zu beschreiben

History

#1 - 2017-06-07 16:27 - hidden

- Project changed from Public Support to 5

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::MDE

- Resolution set to Known Problem

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/27936

Hallo Roland,

das Thema ist nicht unbekannt (http://km-aev.in.audi.vwg/redmine/issues/27936), der Parser ist in dieser Hinsicht sehr schlecht, was Performance bei

verschachtelten Strukturen oder einer Vielzahl an Complex Datatypes betrifft.

Leider können wir hier zu ADTF 2.x keine Lösung der Performance / Austausch mehr anbieten.

Workarounds (wenn man sie denn so bezeichnen kann) sind imho:

Flache Strukturen zu wählen

Wenig Strukturen pro Description

Alternativ die DDL im Source Code zu beschreiben

Ich kann mir nun aber kein Bild machen, ob dir diese Aussagen weiterhelfen ?

#2 - 2017-06-19 10:04 - hidden
http://km-aev.in.audi.vwg/redmine/issues/27936
http://km-aev.in.audi.vwg/redmine/issues/27936


Bitte um Feedback, damit wir das Ticket abschließen.

Zeit auf 21.06. verländert

#3 - 2017-06-19 13:45 - hidden

Hallo Florian,

da es sich dann um eine Known-Limitation von ADTF 2 handelt, mit der man leben muss, kann das Ticket geschlossen werden.

Mit freundlichen Grüßen / Best regards

Roland Herrmann

CC-DA/ESI3

#4 - 2017-06-19 13:46 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#5 - 2017-06-19 13:46 - hidden

- Project changed from 5 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

#6 - 2017-06-19 13:47 - hidden

- Subject changed from Lade- und Startzeit bei umfangreichem Einsatz der DDL lang to Increase memory during startup in case of bis description files
